package com.lz.modules.flow.dao;
/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.StaffMenu;
import com.lz.modules.flow.entity.StaffRoleMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StaffRoleMenuMapper extends BaseMapper<StaffRoleMenu> {


	StaffRoleMenu selectStaffRoleMenuById(@Param("id") Long id);


	Long insertStaffRoleMenu(StaffRoleMenu staffRoleMenu);


	int updateStaffRoleMenuById(StaffRoleMenu staffRoleMenu);


	int updateCoverStaffRoleMenuById(StaffRoleMenu staffRoleMenu);


	int deleteStaffRoleMenuById(@Param("id") Long id);


    List<StaffMenu> selectByRoleId(@Param("roleId") Long roleId);

    void deleteStaffRoleMenuByRoleId(@Param("roleId") Long roleId);

    StaffRoleMenu selectStaffRoleMenuByRoleIdMenuId(@Param("roleId") Long roleId, @Param("menuId") long menuId);
}